petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFCreateSectionSF

Create an expanded SF of dofs, assuming the input SF relates points

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSFCreateSectionSF(PetscSF sf, PetscSection rootSection, PetscInt remoteOffsets[], PetscSection leafSection, PetscSF *sectionSF)

### Input Parameters

| sf | - The SF
| rootSection | - Data layout of remote points for outgoing data (this is usually the serial section), or NULL
| remoteOffsets | - Offsets for point data on remote processes (these are offsets from the root section), or NULL

### Output Parameters

| leafSection | - Data layout of local points for incoming data (this is the distributed section)
| sectionSF | - The new SF

Note: Either rootSection or remoteOffsets can be specified

### See Also

PetscSFCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages